#include <iostream>
#include <stdio.h>
using namespace std;
int main(){
	
	int N,K,A;
	cin>>N>>K;
	
	int meta[2*N+1];
	
	for(int i=0;i<=2*N;i++){
		meta[i]=0;
	}
	for(int i=0;i<N;i++){
		cin>>A;
		meta[A+N]++;
	}
	int br=0;
	for(int i=0;i<=2*N;i++){
		if (meta[i]>=K){
			br++;
		}
	}
	cout<<br<<endl;
	
	for(int i=0;i<=2*N;i++){
		if(meta[i]>=K){
			cout<<i-N<<"";
		} 
	}
 }